import QtQuick 2.7
import Ubuntu.Components 1.3

Page {
    id: aboutPage

    property string appIcon: "../assets/logo.svg"
    property string appName: "Pantalaimon UT"
    property string version: "version 0.6.0"
    property string license: "<a href='http://www.apache.org/licenses/LICENSE-2.0'>Apache Software License 2.0</a>"
    property string source: "<a href='https://git.sr.ht/~thrrgilag/pantalaimon-ut'>git.sr.ht/~thrrgilag/pantalaimon-ut</a>"

    header: PageHeader {
        id: pageHeader
        title: i18n.tr("About")
    }

    Flickable {
        id: scrollView

        anchors {
            top: aboutPage.header.bottom
            bottom: parent.bottom
            left: parent.left
            right: parent.right
            leftMargin: units.gu(2)
            rightMargin: units.gu(2)
        }
        contentHeight: aboutColumn.height + units.gu(4)

        clip: true

        Column {
            id: aboutColumn
            spacing: units.gu(2)

            anchors {
                top: parent.top;
                left: parent.left;
                right: parent.right;
            }

            Label {
                text: " "
            }

            UbuntuShape {
                width: units.gu(12)
                height: units.gu(12)
                radius: "medium"
                anchors.topMargin: units.gu(12)
                anchors.horizontalCenter: parent.horizontalCenter
                image: Image {
                    source: appIcon
                }
            }

            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr(appName)
                wrapMode: Text.WordWrap
                fontSize: "x-large"
            }

            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("End-to-end encryption aware Matrix reverse proxy daemon for Ubuntu Touch")
                wrapMode: Text.WordWrap
            }

            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr(version)
                wrapMode: Text.WordWrap
            }

            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("Copyright (c) 2021 Morgan McMillian &lt;<a href='mailto:thrrgilag@dreamfall.space'>thrrgilag@dreamfall.space</a>&gt;")
                wrapMode: Text.WordWrap
            }

            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr(source)
                wrapMode: Text.WordWrap
            }

            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("Pantalaimon v0.10.3")
                wrapMode: Text.WordWrap
                fontSize: "large"
            }

            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("Copyright (c) 2021 The Matrix.org Foundation CIC")
                wrapMode: Text.WordWrap
            }

            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("<a href='https://github.com/matrix-org/pantalaimon'>github.com/matrix-org/pantalaimon</a>")
                wrapMode: Text.WordWrap
            }

            Label {
                width: parent.width
                horizontalAlignment: Text.AlignHCenter
                text: i18n.tr("Released under the terms of " + license)
                wrapMode: Text.WordWrap
            }

            Label {
                text: " "
            }
        }
    }

}
